Page MenuHomePhabricator

AMDGPU: Set ABI version to 1 for code object v3
ClosedPublic

Authored by kzhuravl on Feb 6 2019, 1:20 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

kzhuravl created this revision.Feb 6 2019, 1:20 AM

This review fell through the cracks and never got published.

ruiu added a comment.Feb 12 2019, 4:50 PM

Just want to know a bit more about background of this change. Are you making an ABI-breaking change, so you are defining a new ABI version number for the AMDGPU target. Is this understanding correct? Is the AMDGPU target migrating to ABI version 2, or will version 1 and 2 co-exist in the future?

Just want to know a bit more about background of this change. Are you making an ABI-breaking change, so you are defining a new ABI version number for the AMDGPU target. Is this understanding correct? Is the AMDGPU target migrating to ABI version 2, or will version 1 and 2 co-exist in the future?

Yes, we are making an ABI-breaking change for amdgcn-amd-amdhsa, hence we are bumping ABI version to 1 for amdgcn-amd-amdhsa. Currently ABI versions 0 and 1 will co-exist in our backend. In the future, I am hoping we can drop ABI version 0 from our backend and only produce ABI version 1. I am not exactly sure where you got ABI version 2 from.

Our shared object loader and runtimes will keep supporting both variations of ABI versions.

ruiu accepted this revision.Feb 13 2019, 2:25 PM

LGTM

This revision is now accepted and ready to land.Feb 13 2019, 2:25 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 14 2019, 3:55 PM